/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC


Program Description:
--------------------

How to use the 50 private system variales. The system varibles
are available until power reset.

*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>
#include <float.h>

/*******************************************************************/

void main(void)

  {
  int  i, index;

  /* 50 free system variables for customer purpose */
  index=getvar(PRIVATE);

  /* initialze system variables */
  for (i=0; i<50; i++) setvar(index+i,i);

  /* read out system variables */
  for (i=0; i<50; i++) print("System Variable Nr. %d = %d \n",i,getvar(index+i));



  if(getvar(LOWBAT))   pstr("RTC low battery\n");

  if(getvar(MMC))      pstr("Multimedia Card available\n");
  else                 pstr("Multimedia Card is not available\n");

  if(getvar(POWFAIL))  pstr("PLC power down\n");
  else                 pstr("PLC power ok\n");

  print("DRAM Size=%d MByte\n", getvar(DRAMSIZE)/1024/1024);

  print("ScrGetColumns=%d\n", ScrGetColumns);
  print("ScrGetRows=%d\n", ScrGetRows);
  print("ScrGetPitch=%d\n", ScrGetPitch);

  print("DispGetColumns=%d\n", DispGetColumns);
  print("DispGetRows=%d\n", DispGetRows);

  print("EXUNIT=%d\n", getvar(EXUNIT));
  }

/*******************************************************************/

