/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC


Program Description:
--------------------

This program draws an ellipse inside the window.

*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <flib.h>
#include <macros.h>
#include <sysvar.h>

/*******************************************************************/

void main(void)

  {

   int   Over;
   image window;


    /*******************************************************************************/
    /*                 PLEASE INITIALIZE YOUR LICENCE CODES                        */
    /*                    To activate library functions                            */
    /*                                                                             */
    /* VCLIB :         init_licence("T1122334455") or init_licence("LT1122334455") */
    /* Extension Lib : init_licence("E1122334455") or init_licence("LE1122334455") */
    /* Color Lib :     init_licence("C1122334455") or init_licence("LC1122334455") */
    /* etc.                                                                        */
    /*                                                                             */
    /*      init_licence() returns 0 if licence code is OK, -5 otherwise           */
    /*                                                                             */
    /* Example :                                                                   */
    /*                                                                             */
	/**/ 	print("Init VCLIB = %d\n", init_licence("T1122334455"));			 /**/
    /*******************************************************************************/


   vmode(vmOvlLive);

    
   set(&window,0);
  
    
   // Set Working Page
   Over	= (int)OvlGetPhysPage;  //	not required since this is the 
   OvlSetLogPage (Over);			// 	default overlay page

   // Take image
   tpict();
	
	
   // Clear Overlay screen area
   OvlClearAll;

   // Draw objects into Overlay
   ImageAssign(&window, OvlByteAddr(100,100),300,300,ScrGetPitch);  
  
   framed(&window, 128);
   ellipsed(&window,32);   
   markerd(&window, 16);


   // Set overlay colors
   set_overlay_bit(7, 255, 0, 0);
   set_overlay_bit(5, 0, 255, 0);
   set_overlay_bit(4, 0, 0, 255);  

   set_ovlmask(255);

   getchar();

   OvlClearAll; //clears only the "screen" size of the overlay
	
   getchar();

   // Clears the entire overlay display 
   ImageAssign(&window,OvlGetPhysPage,DispGetColumns,DispGetRows,OvlGetPitch); 
	
   set(&window,0);
  

  
  }

/*******************************************************************/



