/*******************************************************************/
/*

Demo-Software for smart cameras from Vision Components
------------------------------------------------------

Program: Klaus Schneider,  VC
Apr 10, 2008 LB : added trigger input status for VC4016/VC4018/SBC40xx cameras

Program Description:
--------------------

This program uses the trigger output and trigger input.
Please have a look at the technical documentation of the VC40xx,
chapter "Trigger Input and Trigger Output"
A buzzer is connected between +5V (brown cable) and
Trig. Out (grey cable)

*/
/*******************************************************************/

#include <vcrt.h>
#include <vclib.h>
#include <macros.h>
#include <sysvar.h>

/*******************************************************************/

//#define VCBASE	// Define if you are using a VC4012/VC4016/VC4018/SBC40xx camera!
					// Do not define if you are using any other VC4xxx camera or VC20xx camera!

/*******************************************************************/

void main(void)

  {
  int TrigInp, Run = 1;
 
  TRIGINP_POS();     
  
  vmode(vmStill); /* set allowed vmode for tenable() */
  
  while(!kbhit())  
    {
	/* Display status of Trigger Input */
#ifdef VCBASE
	TrigInp = GET_TRIG_SIGNAL();
#else
    TrigInp = (int)(*((volatile int *)VIRTX_STAT) & 0x2000);
#endif

    if (TrigInp)
      {
      print ("Trigger Input ON\n");
      }
    else
      {
      print ("Trigger Input OFF\n");
      }

    time_delay(20); // ms
    } 
 
  getchar();


  pstr("Waiting for Tigger (rising edge at Trig.Inp). Press any Key for quit\n");

 
  TRIGOUT_EXP();      /* set trigger output to exposure controlled mode */
  TRIGOUT_POS();      /* low level = esposure                           */

  while(Run)  
    {

    tenable();        /* now wait for external trigger    */
  

	    while(!trdy())    /* wait for completion*/     
	    {
		      if (kbhit())
		      {
		        print("kill capture\n");
		        getchar();
		      	while(cancel_capture_rq());
		      	Run = 0;
		      }      
	    }

  	pstr("*");
    }
 vmode(vmLive);

 }

/*******************************************************************/
